5 Replies Latest reply on Jun 7, 2019 10:18 AM by Mamta Joshi

    Extract API 2.0 - Unable to load library 'TableauHyperExtract': The specified module could not be found.

    Mamta Joshi

      I'm trying to use the Extract API 2.0 using Java and eclipse.

       

      I have setup the environment following this link - Extract API-Using Java and Eclipse - Tableau

       

      I can see the Extract API bin folder set in the PATH variable, when I run echo %PATH% command in windows command prompt.

       

      I'm using a windows 64 bit machine and also installed Visual C++ runtime library.

       

      When I run the java code from TableauSDKSample java class from eclipse I get the "Unable to load library 'TableauHyperExtract': The specified module could not be found."

       

      java.lang.UnsatisfiedLinkError: Unable to load library 'TableauHyperExtract': The specified module could not be found.

       

       

      at com.sun.jna.NativeLibrary.loadLibrary(NativeLibrary.java:194)

      at com.sun.jna.NativeLibrary.getInstance(NativeLibrary.java:283)

      at com.sun.jna.NativeLibrary.getInstance(NativeLibrary.java:244)

      at com.sun.jna.Native.register(Native.java:1065)

      at com.tableausoftware.hyperextract.ExtractAPI.<clinit>(Unknown Source)

       

      I think it has something to do with the setup. Please let me know what am I setting up incorrectly here.